Subject: Re: bug#43389: 28.0.50; Emacs memory leaks

From: Joshua Branson <[email-masked]>
Date: Thu, 17 Sep 2020 17:58:51 -0400

Over in #guix irc, the guix people seemed to think it was a memory leak with helm.

I was watching my emacs consume about 0.1% more system memory every 2 or 3 seconds. Setting

(setq helm-ff-keep-cached-candidates nil)

Seemed to make the problem go away.

I also made a video, where I watched this memory usage continually go up
and then stay steady after I turned off helm-ff-keep-cached-candidates.
This happens at about the 35 minute mark.

https://video.hardlimit.com/videos/watch/3069e16a-d75c-4e40-8686-9102e40e333f

And here's the bug report on guix system:

https://issues.guix.gnu.org/43406#10

--
Joshua Branson
Sent from Emacs and Gnus